import { getUnplanApplyApi } from 'mocp/api/unplanApply'
import { defineStore } from 'pinia'

const useUnplanApplyStore = defineStore('unplanApply', {
    state: () => {
        return {
            searchData: {
                applyStatus: '',
                packageNo: '',
                exemptStatus: null,
                sourceType: '',
                checkLevel: null,
                acType: '',
                airline: '',
                startTime: null,
                startTimeEnd: null,
                applyTimeStart: null,
                applyTimeEnd: null
            },
            id: '',
            details: undefined
        }
    },
    getters: {},
    actions: {
        async getDetails() {
            this.details = {
                acType: '73N',
                airline: 'YZJ',
                applyStatus: '0',
                approver: '17',
                approverName: '',
                checkLevel: '2',
                createTime: 1734679857000,
                createUser: '21',
                createUserName: '',
                delayDay: 12,
                delayEntTime: 1735412399000,
                endTime: '1734375599000',
                examineReason: '',
                exemptStatus: '0',
                id: '1870008971817910272',
                isDel: '0',
                materialDelay: '1',
                materialPns: '1,2',
                packageName: '航线--督办杀虫EO',
                packageNo: '500001099668',
                planStayingDay: '0',
                reason: '3',
                sourceType: '1',
                startTime: '1734364740000',
                updateTime: 0,
                updateUser: null,
                warningReason: '2,3'
            }
            const res = await getUnplanApplyApi({ id: this.id }, { loading: true })
            if (res.code == 200) {
                this.details = res.data
            } else {
                uni.$mocpMessage.error(res.message)
            }
        },
        resetForm() {
            this.searchData = {
                applyStatus: '',
                packageNo: '',
                exemptStatus: null,
                sourceType: '',
                checkLevel: null,
                acType: '',
                airline: '',
                startTime: null,
                startTimeEnd: null,
                applyTimeStart: null,
                applyTimeEnd: null
            }
        },
        setState(...args) {
            this.$patch({ [args[0]]: args[1] })
        }
    },
    // 配置持久化
    persist: false
})
export default useUnplanApplyStore
