import { getUnplanWarningApi } from 'mocp/api/unplanWarning'
import { defineStore } from 'pinia'

const useUnplanWarningStore = defineStore('unplanWarning', {
    state: () => {
        return {
            searchData: {
                applyStatus: '',
                packageNo: '',
                sourceType: '',
                checkLevel: null,
                acType: '',
                airline: '',
                startTime: null,
                startTimeEnd: null,
                applyTimeStart: null,
                applyTimeEnd: null
            },
            id: '',
            details: undefined
        }
    },
    getters: {},
    actions: {
        async getDetails() {
            // this.details = {
            //     acType: '73N',
            //     airline: 'YZJ',
            //     applyStatus: '0',
            //     approver: '6',
            //     approverName: '',
            //     checkLevel: '2',
            //     createTime: 1734507585000,
            //     createUser: '21',
            //     createUserName: '',
            //     endTime: '1734386399000',
            //     examineReason: '',
            //     id: '1869286413837533184',
            //     isDel: '0',
            //     materialDelay: '1',
            //     materialPns: '666,8999',
            //     packageName: '航线-织物包检查',
            //     packageNo: '500001101955',
            //     planStayingDay: '0',
            //     reason: '112',
            //     sourceType: '1',
            //     startTime: '1734361200000',
            //     updateTime: 0,
            //     updateUser: null,
            //     warningReason: '1'
            // }
            const res = await getUnplanWarningApi({ id: this.id }, { loading: true })
            if (res.code == 200) {
                this.details = res.data
            } else {
                uni.$mocpMessage.error(res.message)
            }
        },
        resetForm() {
            this.searchData = {
                applyStatus: '',
                packageNo: '',
                sourceType: '',
                checkLevel: null,
                acType: '',
                airline: '',
                startTime: null,
                startTimeEnd: null,
                applyTimeStart: null,
                applyTimeEnd: null
            }
        },
        setState(...args) {
            this.$patch({ [args[0]]: args[1] })
        }
    },
    // 配置持久化
    persist: false
})
export default useUnplanWarningStore
