import { addUnplanWarningApi, checkPakgeNoApi } from 'mocp/api/unplanWarning'
import { formData, formRef, materialPns } from './add.compositions'

//验证包号
export const checkPakgeNo = async (packageNo) => {
    if (!packageNo) return
    const res = await checkPakgeNoApi({ packageNo }, { loading: '验证包号中...' })
    if (res.code == 200) {
    } else {
        formData.packageNo = ''
        uni.$mocpMessage.error(res.message)
    }
}

//提交表单
export const handleSubmit = async () => {
    await formRef.value?.validate()
    if (formData.materialDelay == '0') {
        formData.materialPns = ''
    } else {
        const materialPnsStr = materialPns.value.join(',')
        if (materialPnsStr) {
            formData.materialPns = materialPnsStr
        } else {
            return uni.$mocpMessage.error('请输入缺件航材')
        }
    }
    const res = await addUnplanWarningApi(formData, { loading: true })
    if (res.code == 200) {
        uni.$mocpJump.navigateBack()
        uni.$mocpMessage.success(res.message)
        uni.$emit('unplanWarningReload')
    } else {
        uni.$mocpMessage.error(res.message)
    }
}
